package cn.estsh.i3plus.pojo.model.report;

import cn.estsh.i3plus.pojo.report.bean.BrPojoAttr;
import cn.estsh.i3plus.pojo.report.bean.BrTemplateCustomHql;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description ://TODO 提交注意修改 临时使用 带改动
 * @Reference :
 * @Author : Adair Peng
 * @CreateDate : 2019-01-25 18:19
 * @Modify:
 **/
@Data
public class BeanBrPojoAttrModel {

    @ApiParam(value = "表单模板ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long templateId;

    @ApiParam(value = "数据类型")
    private Integer dataType;

    @ApiParam(value = "对象属性")
    private List<BrPojoAttr> attrList;

    @ApiParam(value = "自定义HQL")
    private BrTemplateCustomHql customHql;

}
