package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsASNMaster;
import cn.estsh.i3plus.pojo.wms.bean.WmsDocMovementMaster;
import cn.estsh.i3plus.pojo.wms.bean.WmsPOMaster;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 订单打印数据封装model
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-03-18 11:50
 * @Modify:
 **/
@Data
public class PrintOrderDataModel {

    @ApiParam("业务数据类型")
    public Integer busiDataType;

    @ApiParam("单号")
    public String orderNo;

    @ApiParam("工厂代码")
    public String organizeCode;

    @ApiParam(value = "PO主表")
    public WmsPOMaster poMaster;

    @ApiParam(value = "ASN主表")
    public WmsASNMaster asnMaster;

    @ApiParam(value = "移库单主表")
    public WmsDocMovementMaster movementMaster;

    public int getBusiDataType() {
        if (busiDataType != null) {
            return busiDataType.intValue();
        }
        return 0;
    }
}
