package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.engine.script.EngineScriptPersistence;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface IEngineScriptPersistenceDao extends BaseRepository<EngineScriptPersistence, Long> {
    EngineScriptPersistence findByScriptNo(String scriptNo);

    @Query("select t.languageType from EngineScriptPersistence t group by t.languageType")
    List findGroupByLanguageType();
}
