package cn.estsh.i3plus.pojo.sweb.modelbean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description : 待发布订单列表输入模型
 * @Reference :
 * @Author : jack.lv
 * @CreateDate : 2019-04-02 13:13
 * @Modify:
 **/
@Data
public class SwebPOForPubListEnterModel extends BaseBean {

    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("供应商编号")
    private String vendorCode;

    @ApiParam(value = "订单类型", example = "1")
    public Integer orderType;

    @ApiParam(value = "预计到货日期开始日期")
    public String recTimeStart;

    @ApiParam(value = "预计到货日期结束日期")
    public String recTimeEnd;

    @ApiParam(value = "零件号")
    private String partNo;
}
